﻿@using System.Web;
@{
    var name = ViewBag.Name;
    ViewData["Title"] = "Final Thought";
}
<div class="container">
    <div class="card card-custom">
        <div class="card-body">
            <h3 class="display-5 mb-5">
                Final Thoughts
            </h3>
            <p>Please provide us with any additional final thoughts and /or concerns you would like to share with us in the box below, otherwise please type <span class="text-primary font-weight-bolder">None</span>, and then press the Save button.</p>
            <form id="frmFinal">
                <div class="row mb-2">
                    <div class="col-12">
                        <textarea class="form-control required" name="finalthought" id="finalthought" maxlength="500" rows="3">@HttpUtility.UrlDecode(ViewBag.FinalThought)</textarea>
                    </div>
                </div>
                <partial name="_WizardFooter" />
            </form>
        </div>
    </div>
</div>
<partial name="_FinalCompletionModal" />
@section scripts{
<script>
    autosize($('textarea'));
    $("#frmFinal").validate({
        messages: {
            finalthought: "Provide additional final thoughts/concerns"
        }
    });
    var indepth = $("#RiskArcVersion").val() == 1 ? true : false;
    var suffix= indepth ? "Indepth" :"Express";
    $("#btn-submit,#btn-next").attr("data-original-title", `Save & Next to RiskArc ${suffix} Survey`);
    $("#btn-submit").click(function (e) {
        e.preventDefault();
        if ($("#frmFinal").valid()) {
            var btn = KTUtil.getById(e.target.id);
            KTUtil.btnWait(btn, "spinner spinner-right spinner-white pr-15", "Please wait");
            $.post("home/savefinalthought", $("#frmFinal").serialize(), function (response) {
                if(response)
                {
                    KTUtil.btnRelease(btn);
                    $(btn).prop("disabled",true);
                    showSurveyCompletionToastr(response.message,"goToRiskArc")
                }
            });
        }
    });
    $("#btn-next").click(function (e) {
        e.preventDefault();
        goToRiskArc();
    })
    var goToRiskArc = function(){        
        if(indepth)
        {
            var url = indepth ?"client-riskarc-indepth":"client-riskarc-express";
            window.location.href = url;
        }
        else
        {
            $("#toast-container").remove();
            showVersionPopup("RiskArc");
        }            
    }
    var DisplayOnlyClient = $("#DisplayOnlyClient").val() == 1;
    if(DisplayOnlyClient)
    {
        $("#btn-next").removeClass("d-none")
        $("#btn-submit").addClass("d-none");
        $("#btn-complete").addClass("d-none");
        $("#finalthought").prop("disabled",true);
    }        
</script>
}